SUBROUTINE Read_data

USE Variables

OPEN( UNIT=10 , FILE='input.dat' , STATUS='old' )

! Leo el nmero de capas
READ(10,*) ncapas
WRITE(6,"('Number of layers: ',I5)") ncapas

ALLOCATE ( esp(ncapas),xkr(ncapas),xmur(ncapas),ros(ncapas),&
           vel(ncapas),esp_adj(ncapas),kappa(ncapas) )

READ(10,*) ( esp(i) , i=1,ncapas ) ! Leo los espesores de cada capa (en metros)
!! READ(10,*) ( xkr(i) , i=1,ncapas ) ! Leo el mdulo de Bulk de cada capa (en GPa)
!! READ(10,*) (xmur(i) , i=1,ncapas ) ! Leo el mdulo de corte de cada capa (en GPa)
READ(10,*) ( ros(i) , i=1,ncapas ) ! Leo la densidad de cada capa (en gr/cm)
READ(10,*) ( vel(i) , i=1,ncapas ) ! Leo la velocidad de cada capa (en m/s)

!! ! Paso los mdulos de GPa a Pa

!! xkr = xkr * 1.d9
!! xmur = xmur * 1.d9

! Paso las densidades de gr/cm a kg/m

ros = ros * 1.d3

! Calculo el mdulo de onda longitudinal
! kappa = lambda + 2 xmur = xkr + (4/3) xmur = ros*vel**2

kappa = ros*vel**2 
!! kappa = xkr + (4.d0/3.d0)*xmur

!! ! Calculo los valores de la velocidad para cada capa (vendrn dados en m/s)

!! vel = SQRT ( kappa / ros )

!! WRITE(6,"(/,'Layer',2x,'Thickness[m]',2x,'K[GPa]',2x,'mu[GPa]',2x,'ro[gr/cm]',2x,'vel[m/s]')")

!! WRITE(6,"( /,I2,2x,F10.2,3x,F6.3,3x,F6.3,5x,F5.2,3x,F9.3 )") &
      !! ( i,esp(i),xkr(i)*1.d-9,xmur(i)*1.d-9,ros(i)*1.d-3,vel(i) , i=1,ncapas )

WRITE(6,"(/,'Layer',2x,'Thickness[m]',2x,'k[GPa]',2x,'ro[gr/cm]',2x,'vel[m/s]')")

WRITE(6,"( /,I2,2x,F10.2,3x,F6.3,5x,F5.2,3x,F9.3 )") &
     ( i,esp(i),kappa(i)*1.d-9,ros(i)*1.d-3,vel(i) , i=1,ncapas )

! Leo el parmetro epsilon, que me determina el tipo de mtodo discontinuo
READ(10,*) eps 
WRITE(6,"( /,'Epsilon: ',F4.1 )") eps

! Leo el parmetro de penalidad (supongo penalidades constantes en cada nodo)
READ(10,*) penal 
WRITE(6,"( /,'Penalty parameter: ',F22.9 )") penal

! Leo el intervalo de muestreo temporal para la traza
READ(10,*) dt
WRITE(6,"( /,'Time discretization: ',F10.4,' seg' )") dt

! Leo el tiempo total de simulacin en segundos
READ(10,*) stime 
WRITE(6,"( /,'Total simulation time: ',F4.1,' seg' )") stime

! Leo el nmero de puntos por longitud de onda
READ(10,*) npwl 
WRITE(6,"( /,'Number of points per wavelength: ',I2)") npwl

! Leo el valor de la frecuencia dominante de la fuente en Hz
READ(10,*) freq 
WRITE(6,"( /,'Dominant frequency of the source: ',F6.2,' Hz' )") freq

! Leo el numero de puntos en frecuencia
READ(10,*) npf
WRITE(6,"( /,'Number of points in frequency: ',I5 )") npf

! Leo la posicin del receptor
READ(10,*) xrec 
WRITE(6,"( /,'Receiver position: ',F9.3,' m' )") xrec

! Leo la posicin de la fuente
READ(10,*) xsou 
WRITE(6,"( /,'Source position: ',F9.3,' m' )") xsou

! Leo la posicin de la fractura
READ(10,*) xfrct 
WRITE(6,"( /,'Fracture position: ',F9.3,' m' )") xfrct

! Leo la "normal compliance" de la fractura
READ(10,*) Zn 
WRITE(6,"( /,'Normal compliance of the fracture: ',G16.8,' m/Pa' )") Zn

! Leo el nmero de snapshots a considerar
READ(10,*) nsnap 
WRITE(6,"( /,'Number of snapshots: ',I5 )") nsnap

CLOSE(10)

RETURN

END SUBROUTINE Read_data
